import * as React from "react";
export interface CurrencyConverterProps {
    currencyLabelLeft?: string | JSX.Element;
    currencyLabelRight?: string | JSX.Element;
    onConversion(usdValue: number, ethValue: number): void;
    onCVLToBuyUpdate(cvlToBuy: number): void;
}
export interface CurrencyConverterStates {
    usdToSpend: number;
    convertedEth: number;
}
export declare class UsdEthCvlConverter extends React.Component<CurrencyConverterProps, CurrencyConverterStates> {
    constructor(props: any);
    render(): JSX.Element;
    private updateConversion;
}
